Page MenuHomePhabricator

Update iOS app `Read more` article footer to retrieve short descriptions using new prop=description
Closed, ResolvedPublic

Event Timeline

Mhurd created this task.Apr 25 2018, 7:22 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 25 2018, 7:22 PM
Mhurd added a comment.Apr 25 2018, 7:39 PM

https://github.com/wikimedia/wikimedia-page-library/pull/133

Note: I'll open a PR integrating this pagelib change as soon as it's reviewed & merged.

Mhurd added a comment.Apr 26 2018, 7:18 PM

Here's the PR integrating the updated pagelib bits:
https://github.com/wikimedia/wikipedia-ios/pull/2260

Mhurd added a comment.EditedApr 26 2018, 8:03 PM

Reminder: the new descriptions will begin showing at the top of articles once mobileview is updated ( https://phabricator.wikimedia.org/T192837 ) - it sounded like this should occur in the next week or 2.

JMinor triaged this task as Medium priority.Apr 30 2018, 5:47 PM
JMinor moved this task from Needs Triage to Product Backlog on the Wikipedia-iOS-App-Backlog board.
Mhurd added a comment.EditedMay 3 2018, 8:29 PM

Testing criteria

  • search for "Sunnyvale Public Library"
  • the search result for the library should look like this:

"Sunnyvale Public Library"
"Public library in Sunnyvale California" <-- this description is coming from a SHORTDESC 'magic word' as outlined here.

Note: if you load the Sunnyvale Public Library article you will not see the "Public library in Sunnyvale California" description below the title. This is expected because that description comes from the mobileview endpoint which will be updated soon to grab these SHORTDESC descriptions when available.

Also ensure that at least some feed items still appear to have wikidata descriptions. (Not all articles have descriptions.)

cmadeo added a subscriber: cmadeo.

Working for me :)

ABorbaWMF added a subscriber: ABorbaWMF.

Looks good to me on the Sunnyvale Public Library on 5.8.1 (1400)

JMinor closed this task as Resolved.May 8 2018, 2:32 AM
Vvjjkkii renamed this task from Update iOS app `Read more` article footer to retrieve short descriptions using new prop=description to 37daaaaaaa.Jul 1 2018, 1:14 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Mhurd as the assignee of this task.
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
Mainframe98 renamed this task from 37daaaaaaa to Update iOS app `Read more` article footer to retrieve short descriptions using new prop=description.Jul 1 2018, 7:38 AM
Mainframe98 closed this task as Resolved.
Mainframe98 assigned this task to Mhurd.
Mainframe98 lowered the priority of this task from High to Medium.
Mainframe98 updated the task description. (Show Details)
Mainframe98 added a subscriber: Aklapper.